pcl::poisson::Triangulation< Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

## Public Member Functions

int | factor (int tIndex, int &p1, int &p2, int &p3)
double | area (void)
double | area (int tIndex)
double | area (int p1, int p2, int p3)
int | flipMinimize (int eIndex)
int | addTriangle (int p1, int p2, int p3)

## Public Attributes

std::vector< Point3D< Real > > | points
std::vector< TriangulationEdge > | edges
std::vector< TriangulationTriangle > | triangles

## Protected Member Functions

double | area (const Triangle &t)

## Static Protected Member Functions

static long long | EdgeIndex (int p1, int p2)

## Protected Attributes

hash_map< long long, int > | edgeMap

## Detailed Description

### template<class Real>
class pcl::poisson::Triangulation< Real >

Definition at line 167 of file geometry.h.

## Member Function Documentation

template<class Real >

int pcl::poisson::Triangulation< Real >::addTriangle | ( | int | p1,
|  | int | p2,
|  | int | p3
| ) |  |

Definition at line 332 of file geometry.hpp.

References pcl::poisson::TriangulationEdge::pIndex.

template<class Real >

double pcl::poisson::Triangulation< Real >::area | ( | void |  | ) |

Definition at line 326 of file geometry.hpp.

template<class Real >

double pcl::poisson::Triangulation< Real >::area | ( | int | tIndex | ) |

Definition at line 320 of file geometry.hpp.

template<class Real >

double pcl::poisson::Triangulation< Real >::area | ( | int | p1,
|  | int | p2,
|  | int | p3
| ) |  |

Definition at line 310 of file geometry.hpp.

References pcl::poisson::Point3D< Real >::coords, pcl::poisson::CrossProduct(), and pcl::poisson::Length().

template<class Real >

double pcl::poisson::Triangulation< Real >::area | ( | const Triangle & | t | ) |

protected

template<class Real >

long long pcl::poisson::Triangulation< Real >::EdgeIndex | ( | int | p1,
|  | int | p2
| ) |  |

static protected

Definition at line 292 of file geometry.hpp.

template<class Real >

int pcl::poisson::Triangulation< Real >::factor | ( | int | tIndex,
|  | int & | p1,
|  | int & | p2,
|  | int & | p3
| ) |  |

Definition at line 299 of file geometry.hpp.

template<class Real >

int pcl::poisson::Triangulation< Real >::flipMinimize | ( | int | eIndex | ) |

Definition at line 372 of file geometry.hpp.

## Member Data Documentation

template<class Real >

hash_map<long long,int> pcl::poisson::Triangulation< Real >::edgeMap

protected

Definition at line 183 of file geometry.h.

template<class Real >

std::vector<TriangulationEdge> pcl::poisson::Triangulation< Real >::edges

Definition at line 172 of file geometry.h.

template<class Real >

std::vector<Point3D<Real> > pcl::poisson::Triangulation< Real >::points

Definition at line 171 of file geometry.h.

template<class Real >

std::vector<TriangulationTriangle> pcl::poisson::Triangulation< Real >::triangles

Definition at line 173 of file geometry.h.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/geometry.h
- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/geometry.hpp